Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3648 - Problems with my ZIP drive
Summary: Problems with my ZIP drive
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-22 20:59 UTC by jjd202
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-23 21:15:17 UTC


Attachments (Terms of Use)

Description jjd202 1999-06-22 20:59:57 UTC
I'm putting this under mount b/c I'm not to sure where else
it would fit... I'm pretty sure it's not a physical problem,
it works fine with 5.2 and *cough* Windows, but for some
reason RH6 wants to give me a hard time...

When I first set up the mount point under linuxconf i got
the error:

"hdd: The drive reports both 100663296 and zero bytes as its
capacity"

While reading from and writing to the drive, I get the
errors:

"ide-floppy: hdd: I/O error, pc=0, key=2, asc=3a, ascq=0",

			- and -

"ide-floppy: hdd: I/O error, pc=2a, key=2, asc=3a, ascq=0"
"end_request: I/O error, dev <time> (hdd), sector < # >"

Both errors repeat until the process is complete.  When
reading, I end up getting the data uncorrupted... but it
will not write properly.  I've tried everything I can think
of to fix this... not a severe problem, but it makes my
weekly backups a pain in the *@^#%... %)

Comment 1 David Lawrence 1999-06-23 21:15:59 UTC
We have observed this to be a problem and are working on a soltution.
Basically it is a kernel bug and the patch will be hopefully
incorporated into our next kernel release either in errata or
rawhide.redhat.com.

Until then you can use ide-scsi emultation which allows the zip drive
to work properly.

add to your /etc/conf.modules file the following line

alias scsi_adaptor ide-scsi

if you've got a device that needs to be ide-scsi and don't have any
other
scsi devices, and

post-install scsi_hostadapter modprobe ide-scsi

if you've got other scsi's and scsi is in kernel, use

install ide-scsi modprobe ide-scsi

Upon rebooting of the machine you can do a modprobe ide-scsi which
will find the zip drive and tell you what scsi device it is assigned.
Normally it will be /dev/sda4 or something similar. Then you would
just do

mount -t vfat /dev/sda4 /mnt/zip


Note You need to log in before you can comment on or make changes to this bug.